.\" Copyright (c) 1997
.\"	John-Mark Gurney.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY John-Mark Gurney AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man9/sd.9,v 1.1.2.4 1999/09/05 11:27:13 peter Exp $
.\"
.Dd February 1, 1997
.Dt SD 9
.Os FreeBSD
.Sh NAME
.Nm sd
.Nd device driver for SCSI subsystem
.Sh DESCRIPTION
Some Type 0
.Pq T_DIRECT
scsi devices don't behave properly when some special scsi options are
negotiated.  See the QUIRKS section for info on how to disable some of these
options.
.Sh QUIRKS
Each SCSI device can have problems that the driver needs to work around.  See
.Xr scsiconf 9
for more info on adding quirks.
.Bl -tag -width SD_Q_NO_TAGS
.It Dv SD_Q_NO_TAGS
This quirk flags will disable the use of tagged queuing when sending commands to
the drive.
.It Dv SD_Q_NO_SYNC
This will disable synchronous negotiation with this drive.
.It Dv SD_Q_NO_FAST
This will disable fast negotiation with this drive.
.It Dv SD_Q_NO_WIDE
This will disable wide negotiation with this drive.
.El
.Sh FILES
.Bl -tag -width /sys/scsi/scsiconf.h -compact
.It Pa /sys/scsi/scsiconf.h
contains the definition of
.Dv SD_Q_xxx
macros.
.It Pa /sys/scsi/sd.c
files contains actual driver code
.El
.Sh SEE ALSO
.Xr sd 4 ,
.Xr scsiconf 9
.Sh HISTORY
The
.Nm
manual page first appeared in
.Fx 2.2 .
.Sh AUTHOR
This
manual page was written by John-Mark Gurney
.Aq gurney_j@efn.org .
